summaryrefslogtreecommitdiff
path: root/package/htpdate/files/htpdate.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/htpdate/files/htpdate.init')
-rw-r--r--package/htpdate/files/htpdate.init26
1 files changed, 26 insertions, 0 deletions
diff --git a/package/htpdate/files/htpdate.init b/package/htpdate/files/htpdate.init
new file mode 100644
index 000000000..3c291ef54
--- /dev/null
+++ b/package/htpdate/files/htpdate.init
@@ -0,0 +1,26 @@
+#!/bin/sh
+#FWINIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${htpdate:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ htpdate -l -s -t $htpdate_flags && htpdate -D $htpdate_flags
+ ;;
+stop)
+ killall htpdate
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
+
+esac
+exit $?